/*
 * Class INTEGER_32
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_207 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_207 [] = {0xFF01,806,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_207 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_3_207 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_207 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_207 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_6_207 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_7_207 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_8_207 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_9_207 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_207 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_11_207 [] = {0xFF01,205,0xFFFF};
static const EIF_TYPE_INDEX egt_12_207 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_207[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_207), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_207), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_207), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_207), 14, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 15, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_207), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_207), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_207), 10819, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_207), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_207), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10757, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10758, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10825, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10828, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_207), 10819, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10822, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1456, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1457, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1458, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10754, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 10756, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10759, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10761, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10826, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10830, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10831, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_207), 10781, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10782, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_207), 10783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10832, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 10833, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 10834, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 10835, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 10836, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10837, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10838, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 10839, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10793, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 10794, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 10795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 10796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 10797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 10801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10840, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10841, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_207), 10804, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10806, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10842, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016D /*182*/), 10843, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10844, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10846, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10847, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10848, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10849, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10816, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10818, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10820, 0xFFFFFFFF},
};
void Init207(void)
{
	IDSC(desc_207, 0, 206);
	IDSC(desc_207 + 1, 1, 206);
	IDSC(desc_207 + 32, 248, 206);
	IDSC(desc_207 + 34, 254, 206);
	IDSC(desc_207 + 44, 336, 206);
	IDSC(desc_207 + 45, 203, 206);
	IDSC(desc_207 + 49, 288, 206);
	IDSC(desc_207 + 52, 46, 206);
}


#ifdef __cplusplus
}
#endif
